Package edu.fiu.jtlex

# Enum ITerm.NamedEntity

java.lang.Object
java.lang.Enum<ITerm.NamedEntity>
edu.fiu.jtlex.ITerm.NamedEntity

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<ITerm.NamedEntity>`, `java.lang.constant.Constable`

Enclosing interface:
  ITerm

    public static enum ITerm.NamedEntity
    extends java.lang.Enum<ITerm.NamedEntity>

An enum that represents the Standard CORENLP Named Entity Tag the term is associated with. 14 types are allowed.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `java.lang.Enum.EnumDesc<E extends java.lang.Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant | Description
  --- | ---
  `ADDRESS` |
  `CITY` |
  `COUNTRY` |
  `DATE` |
  `DURATION` |
  `FACILITY` |
  `LOCATION` |
  `MISC` |
  `MONEY` |
  `ORGANIZATION` |
  `PERSON` |
  `SET` |
  `STATE_OR_PROVINCE` |
  `TITLE` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static ITerm.NamedEntity` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
  `static ITerm.NamedEntity[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### FACILITY

    public static final ITerm.NamedEntity FACILITY

  - ### ADDRESS

    public static final ITerm.NamedEntity ADDRESS

  - ### CITY

    public static final ITerm.NamedEntity CITY

  - ### COUNTRY

    public static final ITerm.NamedEntity COUNTRY

  - ### LOCATION

    public static final ITerm.NamedEntity LOCATION

  - ### STATE_OR_PROVINCE

    public static final ITerm.NamedEntity STATE_OR_PROVINCE

  - ### MISC

    public static final ITerm.NamedEntity MISC

  - ### MONEY

    public static final ITerm.NamedEntity MONEY

  - ### ORGANIZATION

    public static final ITerm.NamedEntity ORGANIZATION

  - ### PERSON

    public static final ITerm.NamedEntity PERSON

  - ### TITLE

    public static final ITerm.NamedEntity TITLE

  - ### DATE

    public static final ITerm.NamedEntity DATE

  - ### DURATION

    public static final ITerm.NamedEntity DURATION

  - ### SET

    public static final ITerm.NamedEntity SET

- ## Method Details

  - ### values

    public static ITerm.NamedEntity[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static ITerm.NamedEntity valueOf​(java.lang.String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
      `java.lang.NullPointerException` - if the argument is null